import { Component, ViewChild } from "@angular/core";
import { FormBuilder, FormGroup, NgForm, Validators } from "@angular/forms";
import { Router } from "@angular/router";
import { BlockUI, NgBlockUI } from "ng-block-ui";

@Component({
  selector: "app-add-edit-device",
  templateUrl: "./add-edit-device.component.html",
  styleUrls: ["./add-edit-device.component.css"],
})
export class AddEditDeviceComponent {
  @ViewChild("f", { read: true }) userProfileForm: NgForm;

  model: any = {};

  @BlockUI("projectInfo") blockUIProjectInfo: NgBlockUI;
  @BlockUI("userProfile") blockUIUserProfile: NgBlockUI;

  options = {
    minimize: true,
    reload: true,
    expand: true,
    close: true,
  };
  public breadcrumb: any;

  projectInfo: FormGroup;

  submitted = false;

  interestedIn = [
    "design",
    "development",
    "illustration",
    "branding",
    "video",
    "design",
    "development",
    "illustration",
    "branding",
    "video",
  ];
  budget = [
    "less than 5000$",
    "5000$ - 10000$",
    "10000$ - 20000$",
    "more than 20000$",
  ];
  priority = ["Low", "Medium", "High"];
  status = ["Not Started", "Started", "Fixed"];

  constructor(private formBuilder: FormBuilder, private router: Router) {}

  ngOnInit() {
    this.breadcrumb = {
      mainlabel: "Basic Forms",
      links: [
        {
          name: "Home",
          isLink: true,
          link: "/dashboard/sales",
        },
        {
          name: "Form Layouts",
          isLink: true,
          link: "#",
        },
        {
          name: "Basic Forms",
          isLink: false,
        },
      ],
    };

    this.projectInfo = this.formBuilder.group({
      firstName: ["", Validators.required],
      lastName: ["", Validators.required],
      email: ["", [Validators.required, Validators.email]],
      phone: ["", Validators.required],
      company: ["", Validators.required],
      interestedIn: ["", Validators.required],
      budget: ["", Validators.required],
      selectFile: [, Validators.required],
      aboutProject: ["", Validators.required],
    });
  }

  get f() {
    return this.projectInfo.controls;
  }

  onProjectInfoSubmit() {
    this.submitted = true;

    if (this.projectInfo.invalid) {
      return;
    }
  }

  reloadProjectInfo() {
    this.blockUIProjectInfo.start("Loading..");

    setTimeout(() => {
      this.blockUIProjectInfo.stop();
    }, 2500);
  }

  reloadUserProfile() {
    this.blockUIUserProfile.start("Loading..");

    setTimeout(() => {
      this.blockUIUserProfile.stop();
    }, 2500);
  }

  keyPress(event: any) {
    const pattern = /[0-9\+\-\ ]/;

    const inputChar = String.fromCharCode(event.charCode);
    if (event.keyCode !== 8 && !pattern.test(inputChar)) {
      event.preventDefault();
    }
  }

  addData(){
    
  }

  cancel() {
    this.router.navigate(["/device"]); // Adjust the path as per your routing setup
  }
}
